summaryrefslogtreecommitdiff
path: root/zephyr-env.sh
diff options
context:
space:
mode:
authorAnas Nashif <anas.nashif@intel.com>2015-06-05 22:48:44 -0400
committerAnas Nashif <anas.nashif@intel.com>2016-02-05 20:14:16 -0500
commite2ae6709823a4e7073dba534e4325f039e5287b5 (patch)
treeff01c67bbabd7899cd6e3e306d9c3547d26f86a7 /zephyr-env.sh
parent652309470c4bf3b711e0449311bd90656f31afb9 (diff)
Rename timo-env.sh to zephyr-env.sh
Change-Id: I50dfa427f87c1f2a90facf54ef3b58cd4c47a0ec Signed-off-by: Anas Nashif <anas.nashif@intel.com>
Diffstat (limited to 'zephyr-env.sh')
-rw-r--r--zephyr-env.sh22
1 files changed, 22 insertions, 0 deletions
diff --git a/zephyr-env.sh b/zephyr-env.sh
new file mode 100644
index 000000000..7b43d9aca
--- /dev/null
+++ b/zephyr-env.sh
@@ -0,0 +1,22 @@
+
+if [ "X$(basename -- "$0")" == "Xzephyr-env.bash" ]; then
+ echo "Source this file (do NOT execute it!) to set the Zephyr OS environment."
+ exit
+fi
+
+# You can further customize your environment by creating a bash script called
+# zephyr-env_install.bash in your home directory. It will be automatically
+# run (if it exists) by this script.
+
+# identify OS source tree root directory
+export ZEPHYR_BASE=$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )
+
+scripts_path=${ZEPHYR_BASE}/scripts
+echo "${PATH}" | grep -q "${scripts_path}"
+[ $? != 0 ] && export PATH=${scripts_path}:${PATH}
+unset scripts_path
+
+# enable custom environment settings
+zephyr_answer_file=~/zephyr-env_install.bash
+[ -f ${zephyr_answer_file} ] && . ${zephyr_answer_file}
+unset zephyr_answer_file